import { Loading as i } from "./accelbyte-widgets136.mjs";
import { Ctx as r } from "./accelbyte-widgets33.mjs";
import t from "react";
import a from "./accelbyte-widgets137.mjs";
import { IamUserAuthorizationClient as s } from "@accelbyte/sdk-iam";
class v extends t.Component {
  constructor(e) {
    super(e), this.tryInvite = () => {
      const { invitationId: n } = this.props, o = new s(r.getAppState().getSdk()).createLoginURL(null, `invitation/${n}`);
      window.location.replace(o);
    };
  }
  componentDidMount() {
    this.tryInvite();
  }
  render() {
    return /* @__PURE__ */ t.createElement("div", { className: a.invitationURLGenerator }, /* @__PURE__ */ t.createElement("div", { className: "loadingContainer" }, /* @__PURE__ */ t.createElement(i, null)));
  }
}
export {
  v as default
};
